#!@PERL@

# --8<--8<--8<--8<--
#
# Copyright (C) 2010 Smithsonian Astrophysical Observatory
#
# This file is part of make-world
#
# make-world is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# make-world is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the
#       Free Software Foundation, Inc.
#       51 Franklin Street, Fifth Floor
#       Boston, MA  02110-1301, USA
#
# -->8-->8-->8-->8--


package MakeWorld::Package::Custom;

use strict;
use warnings;

use Carp;

use File::Spec::Functions qw/ catdir /;

use base 'MakeWorld::Package';

sub configure
{
    my $self = shift;

    $self->SUPER::configure ||
      die( "no configure exe specified\n" );
}

sub build
{
    my $self = shift;

    $self->SUPER::build ||
      die( "no build exe specified\n" );
}

sub test
{
    my $self = shift;

    $self->SUPER::test ||
      die( "no test exe specified\n" );
}


sub install
{
    my $self = shift;

    $self->SUPER::install ||
      die( "no install exe specified\n" );
}

1;
